Thread Closed
v17 LibreELEC Testbuilds for x86_64 (Kodi 17.0)
#99
(2016-04-19, 20:20)Milhouse Wrote: We continue to ship the "os.openelec.tv" addon as part of LE7, and also these initial LE8 builds, for reasons of backward compatibility.

Longer term it will be dropped, and probably won't be in LE8 official releases, so addons should not depend on "os.openelec.tv" being available and should use "os.libreelec.tv" instead. As I'm not an add-on developer I don't know what the best solution for this is, from an add-on developers point of view - perhaps make both add-ons optional, and then decide which is available at run-time?

So why could the addon be missing here?
Code:
16:59:50 80373.945312 T:140280563066624   ERROR: CAddonInstallJob[script.openelec.devupdate]: The dependency on os.openelec.tv version 4.0 could not be satisfied.
  Thread Closed
 
Thread Rating:
  • 11 Vote(s) - 3.91 Average


Messages In This Thread
RE: LibreELEC Testbuilds for x86 (Kodi 17.0) - by michi_jl - 2016-04-21, 17:03
3D HOU/HSBS issue - by .bismarck - 2016-06-20, 20:03
[Build #0903] breaks VAAPI - by MichaelAnders - 2016-09-04, 15:37
Update Failed - by n2vwz - 2016-09-27, 19:34


Logout Mark Read Team Forum Stats Members Help
LibreELEC Testbuilds for x86_64 (Kodi 17.0)3.9111